## nom.tam.fits
Class RandomGroupsData

    java.lang.Object
      nom.tam.fits.Data
          nom.tam.fits.RandomGroupsData

public class RandomGroupsData
extends Data

This class instantiates FITS Random Groups data. Random groups are instantiated as a two-dimensional array of objects. The first dimension of the array is the number of groups. The second dimension is 2. The first object in every row is a one dimensional parameter array. The second element is the n-dimensional data array.

Field Summary

Fields inherited from class nom.tam.fits.Data
`dataArray`

Constructor Summary
`RandomGroupsData()` Create the equivalent of a null data element.
`RandomGroupsData(Header h)` Create a random groups array from a header description.
`RandomGroupsData(Object[][] x)` Create a RandomGroupsData object using the specified object to initialize the data array.

Method Summary
`static Object[]` `generateSampleRow(Header h)`
`int` `getPadding()` Get the amount of padding needed to fill in or skip to the beginning of the next FITS block.

Methods inherited from class nom.tam.fits.Data
`getData, getPaddedSize, getTrueSize, read, readTrueData, write, writeTrueData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomGroupsData

    public RandomGroupsData(Header h)
                     throws FitsException

  Create a random groups array from a header description. This is typically how data will be created when reading FITS data from a file where the header is read first. This creates an empty array.

Parameters:
  `h` - header to be used as a template.
Throws:
  `FitsException` - if there was a problem with the header description.

### RandomGroupsData

    public RandomGroupsData()

  Create the equivalent of a null data element.

### RandomGroupsData

    public RandomGroupsData(Object[][] x)

  Create a RandomGroupsData object using the specified object to initialize the data array.

Parameters:
  `x` - The initial data array. This should a two-d array of objects as described above.

Method Detail

### generateSampleRow

    public static Object[] generateSampleRow(Header h)
                                      throws FitsException

  Throws:
    `FitsException`

### getPadding

    public int getPadding()

  Description copied from class: `Data`
  Get the amount of padding needed to fill in or skip to the beginning of the next FITS block.

  Overrides:
    `getPadding` in class `Data`